[ostree] Clean up install scripts
- From: Colin Walters <walters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [ostree] Clean up install scripts
- Date: Sat, 5 May 2012 13:58:52 +0000 (UTC)
commit e213e2b5dfe0aafc1a4cbb6d7410b646c7fbf002
Author: Colin Walters <walters verbum org>
Date: Thu May 3 13:26:43 2012 -0400
Clean up install scripts
gnomeos/gnomeos-setup.sh | 51 ---------------------
gnomeos/{gnomeos-install.sh => ostree-install.sh} | 36 ++++++---------
2 files changed, 14 insertions(+), 73 deletions(-)
---
diff --git a/gnomeos/gnomeos-install.sh b/gnomeos/ostree-install.sh
similarity index 77%
rename from gnomeos/gnomeos-install.sh
rename to gnomeos/ostree-install.sh
index c37e25a..cf709c7 100755
--- a/gnomeos/gnomeos-install.sh
+++ b/gnomeos/ostree-install.sh
@@ -1,9 +1,14 @@
#!/bin/bash
# -*- indent-tabs-mode: nil; -*-
-# Install OSTree to system
-#
# Copyright (C) 2011,2012 Colin Walters <walters verbum org>
#
+# Prepare an empty OSTree setup on system; this presently uses the
+# "host" kernel. This has no impact on the host system.
+#
+# Note also this script is idempotent - you can run it more than
+# once, and you should in fact do so right now to update to a newer
+# host kernel.
+#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
@@ -34,29 +39,16 @@ EOF
exit 1
fi
-usage () {
- echo "$0 OSTREE_REPO_URL"
- exit 1
-}
-
-ARCH=i686
-BRANCH_PREFIX="gnomeos-3.4-${ARCH}-"
-
-if ! test -d /ostree/repo/objects; then
- mkdir -p /ostree
-
- $SRCDIR/gnomeos-setup.sh /ostree
+mkdir -p /ostree
- cd /ostree
+cd /ostree
- ostree --repo=repo remote add gnome http://ostree.gnome.org/repo ${BRANCH_PREFIX}{runtime,devel}
- ostree-pull --repo=repo gnome
- for branch in runtime devel; do
- ostree --repo=repo checkout --atomic-retarget ${BRANCH_PREFIX}${branch}
- done
- ln -sf ${BRANCH_PREFIX}runtime current
+mkdir -p modules
+mkdir -p var
- cd ${WORKDIR}
+if ! test -d repo; then
+ mkdir repo
+ ostree --repo=repo init
fi
uname=$(uname -r)
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]